# Class: sftp
#
# This module manages sftp
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class sftp ($group = 'sftp_users') {
    validate_string($group)

    group { $group: ensure => 'present' }

    file { '/etc/ssh/sshd_config': content => template('sftp/sshd_config.erb') } ~>
    service { 'sshd':
        ensure => 'running',
        enable => true
    }
}
